# win_pagefile – Query or change pagefile configuration

New in version 2.4.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Query current pagefile configuration.
- Enable/Disable AutomaticManagedPagefile.
- Create new or override pagefile configuration.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

automatic
boolean

Choices:
- no
- yes

Configures AutomaticManagedPagefile for the entire system.

drive string |  | The drive of the pagefile.
initial_size integer |  | The initial size of the pagefile in megabytes.
maximum_size integer |  | The maximum size of the pagefile in megabytes.

override
boolean

Choices:
- no
- yes ←

Override the current pagefile on the drive.

remove_all
boolean

Choices:
- no ←
- yes

Remove all pagefiles in the system, not including automatic managed.

state
string

Choices:
- absent
- present
- query ←

State of the pagefile.

system_managed
boolean

Choices:
- no ←
- yes

Configures current pagefile to be managed by the system.

test_path
boolean

Choices:
- no
- yes ←

Use Test-Path on the drive to make sure the drive is accessible before creating the pagefile.

## Notes

Note

- There is difference between automatic managed pagefiles that configured once for the entire system and system managed pagefile that configured per pagefile.
- InitialSize 0 and MaximumSize 0 means the pagefile is managed by the system.
- Value out of range exception may be caused by several different issues, two common problems - No such drive, Pagefile size is too small.
- Setting a pagefile when AutomaticManagedPagefile is on will disable the AutomaticManagedPagefile.

## Examples

    - name: Query pagefiles configuration
      win_pagefile:

    - name: Query C pagefile
      win_pagefile:
        drive: C

    - name: Set C pagefile, don't override if exists
      win_pagefile:
        drive: C
        initial_size: 1024
        maximum_size: 1024
        override: no
        state: present

    - name: Set C pagefile, override if exists
      win_pagefile:
        drive: C
        initial_size: 1024
        maximum_size: 1024
        state: present

    - name: Remove C pagefile
      win_pagefile:
        drive: C
        state: absent

    - name: Remove all current pagefiles, enable AutomaticManagedPagefile and query at the end
      win_pagefile:
        remove_all: yes
        automatic: yes

    - name: Remove all pagefiles disable AutomaticManagedPagefile and set C pagefile
      win_pagefile:
        drive: C
        initial_size: 2048
        maximum_size: 2048
        remove_all: yes
        automatic: no
        state: present

    - name: Set D pagefile, override if exists
      win_pagefile:
        drive: d
        initial_size: 1024
        maximum_size: 1024
        state: present

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
automatic_managed_pagefiles boolean | When state is query. | Whether the pagefiles is automatically managed. Sample: True

pagefiles
list

When state is query.

Contains caption, description, initial_size, maximum_size and name for each pagefile in the system.
Sample:
[{'caption': "c:\\ 'pagefile.sys'", 'description': "'pagefile.sys' @ c:\\", 'initial_size': 2048, 'maximum_size': 2048, 'name': 'c:\\pagefile.sys'}, {'caption': "d:\\ 'pagefile.sys'", 'description': "'pagefile.sys' @ d:\\", 'initial_size': 1024, 'maximum_size': 1024, 'name': 'd:\\pagefile.sys'}]

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Liran Nisanov (@LiranNis)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.